import axios from '../api'

export default {

  login(params) {
    return axios.post('/api/front/login/login', params)
  },

  getInfo(params) {
    return axios.get('/api/front/user/info', JSON.stringify(params))
  },

  authList(params){
    return axios.get('/api/front/user/authList', JSON.stringify(params))
  },

  logout(params){
    return axios.get('/api/front/login/logout', JSON.stringify(params))
  },
  editPassword(params) {
    return axios.post('/api/front/user/editPassword',params)
  },

  upload(params) {
    return axios({
      method: "POST",
      url: '/api/upload/upload',
      data: params,
      timeout: 1000000,
      headers: {
        'Content-Type': 'multipart/form-data'
      }
    })
  }

}
